require( "scripts/style.lua" );

MetricsMode(4);

CheckFont = {
  standardFont,
  22,
  BlackColor
};

SetTopModalOnly(true);

MakeDialog
{
	Bitmap
	{ 
		image="Game/UI/Instructions/InstBackdrop.jpg",	
		x=kCenter,
		y=kCenter,

		Instructions
		{ 

			x=0,
			y=0,
			w=800,
			h=600,
			
		
			Button{
				graphics = CheckboxButtonGraphics,
				name="hideinsbutton",
				type = kToggle,
				x=30,
				y=537,
				w=350,
				Text
				{
					font = CheckFont,
					name = "hideins",
					x=50,
					y=17,
					w=kMax,
					h=kMax,
					flags = kHAlignLeft + kVAlignTop,
					label="hideins",
				};
				command=
				function()
					ToggleHideIns();
				end
				
			};

			Button
			{
				x=330,
				y=538,
				font = StandardButtonFont,
				graphics = StandardButtonGraphics,
				name="putypes",
				label="putypes",
				type = kPush,
				command=
					function()
						TogglePUTypes();
					end
			},
			
			Button
			{
				x=480,
				y=538,
				font = StandardButtonFont,
				graphics = StandardButtonGraphics,
				name="sweettypes",
				label="sweettypes",
				type = kPush,
				command=
					function()
						ToggleSweetTypes();
					end
			},
						
			Button
			{
				x=630,
				y=538,
				font = StandardButtonFont,
				graphics = StandardButtonGraphics,
				name="done",
				label="done",
				type = kPush,
				command=
					function()
						InstructionsClosed();
						SetTopModalOnly(false);
						PopModal();
					end
			},
		},
	},
}
